Get Resource (Binary)
curl --request GET \
--url http://{host}:{port}/{contextPath}/deployment/{id}/resources/{resourceId}/data \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/deployment/{id}/resources/{resourceId}/data"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/deployment/{id}/resources/{resourceId}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"message": "<string>",
"code": 123
}部署
获取资源Binary数据
Retrieves the binary content of a deployment resource for the given deployment by id.
GET
/
deployment
/
{id}
/
resources
/
{resourceId}
/
data
Get Resource (Binary)
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the deployment.
The id of the deployment resource.
Response
Request successful. The media type of the response depends on the filename.
For files without any MIME type information, a byte stream is returned.
⌘I